Mailinglist Archive: opensuse-updates (200 mails)

< Previous Next >
openSUSE-SU-2013:1033-1: moderate: update for libXi
openSUSE Security Update: update for libXi
______________________________________________________________________________

Announcement ID: openSUSE-SU-2013:1033-1
Rating: moderate
References: #815451 #821663
Cross-References: CVE-2013-1984 CVE-2013-1995 CVE-2013-1998

Affected Products:
openSUSE 12.3
openSUSE 12.2
______________________________________________________________________________

An update that fixes three vulnerabilities is now available.

Description:

This update of libXi fixes several integer overflow issues.
-
U_0001-integer-overflow-in-XGetDeviceControl-CVE-2013-1984-.
patch,
U_0002-integer-overflow-in-XGetFeedbackControl-CVE-2013-198.
patch,
U_0003-integer-overflow-in-XGetDeviceDontPropagateList-CVE-.
patch,
U_0004-integer-overflow-in-XGetDeviceMotionEvents-CVE-2013-.
patch,
U_0005-integer-overflow-in-XIGetProperty-CVE-2013-1984-5-8.p
atch,
U_0006-integer-overflow-in-XIGetSelectedEvents-CVE-2013-198.
patch,
U_0007-Avoid-integer-overflow-in-XGetDeviceProperties-CVE-2.
patch,
U_0008-Avoid-integer-overflow-in-XListInputDevices-CVE-2013.
patch
* integer overflow in various functions [CVE-2013-1984]
(bnc#821663, bnc#815451)
-
U_0001-sign-extension-issue-in-XListInputDevices-CVE-2013-1.
patch
* sign extension issue in XListInputDevices()
[CVE-2013-1995] (bnc#821663, bnc#815451)
-
U_0001-Stack-buffer-overflow-in-XGetDeviceButtonMapping-CVE.
patch,
U_0002-memory-corruption-in-_XIPassiveGrabDevice-CVE-2013-1.
patch,
U_0003-unvalidated-lengths-in-XQueryDeviceState-CVE-2013-19.
patch
* Stack buffer overflow in XGetDeviceButtonMapping(),
memory corruption in _XIPassiveGrabDevice(),
unvalidated lengths in XQueryDeviceState()
[CVE-2013-1998] (bnc#821663, bnc#815451)


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 12.3:

zypper in -t patch openSUSE-2013-503

- openSUSE 12.2:

zypper in -t patch openSUSE-2013-503

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 12.3 (i586 x86_64):

libXi-debugsource-1.6.1-4.4.1
libXi-devel-1.6.1-4.4.1
libXi6-1.6.1-4.4.1
libXi6-debuginfo-1.6.1-4.4.1

- openSUSE 12.3 (x86_64):

libXi-devel-32bit-1.6.1-4.4.1
libXi6-32bit-1.6.1-4.4.1
libXi6-debuginfo-32bit-1.6.1-4.4.1

- openSUSE 12.2 (i586 x86_64):

libXi-debugsource-1.6.1-2.4.1
libXi-devel-1.6.1-2.4.1
libXi6-1.6.1-2.4.1
libXi6-debuginfo-1.6.1-2.4.1

- openSUSE 12.2 (x86_64):

libXi-devel-32bit-1.6.1-2.4.1
libXi6-32bit-1.6.1-2.4.1
libXi6-debuginfo-32bit-1.6.1-2.4.1


References:

http://support.novell.com/security/cve/CVE-2013-1984.html
http://support.novell.com/security/cve/CVE-2013-1995.html
http://support.novell.com/security/cve/CVE-2013-1998.html
https://bugzilla.novell.com/815451
https://bugzilla.novell.com/821663


< Previous Next >
This Thread
  • No further messages